# Create Nuxt Tailwind App

[![NPM version](https://img.shields.io/npm/v/create-nuxt-tailwind-app.svg?style=flat)](https://npmjs.com/package/create-nuxt-tailwind-app)
[![NPM downloads](https://img.shields.io/npm/dm/create-nuxt-tailwind-app.svg?style=flat)](https://npmjs.com/package/create-nuxt-tailwind-app)

> Create a [Nuxt.js](https://github.com/nuxt/nuxt.js) app using [Tailwind CSS](https://github.com/tailwindcss/tailwindcss) & [Purgecss](https://github.com/FullHuman/purgecss) without the distraction of a complicated development environment.

## Usage :wrench:

Make sure you have [npx](https://www.npmjs.com/package/npx) installed (`npx` is shipped by default since [npm](https://www.npmjs.com/get-npm) `5.2.0`)

```bash
npx create-nuxt-tailwind-app <my-project>
```

Or starting with npm v6.1 you can do:

```bash
npm init nuxt-tailwind-app <my-project>
```

Or with [yarn](https://yarnpkg.com/en/):

```bash
yarn create nuxt-tailwind-app <my-project>
```

## Features :tada:

1. Check the features needed for your project:

   - [PWA](https://pwa.nuxtjs.org/)
   - Linter / Formatter
   - [Prettier](https://prettier.io/)
   - [Axios](https://github.com/nuxt-community/axios-module)
   - [TypeScript](https://www.typescriptlang.org/)

## Optional

To install [nuxt-edge](https://www.npmjs.com/package/nuxt-edge) instead of [nuxt](https://www.npmjs.com/package/nuxt), add the command line flag `--edge`:

```bash
npx create-nuxt-tailwind-app <my-project> --edge
```

Or

```bash
npm init nuxt-tailwind-app <my-project> --edge
```

Or

```bash
yarn create nuxt-tailwind-app <my-project> --edge
```

## Credits :beers:

- [Create Nuxt App](https://github.com/nuxt/create-nuxt-app)
- [egoist](https://github.com/egoist)
- [clarko](https://github.com/clarkdo)
- All Create Nuxt App contributors ([list](https://github.com/nuxt/create-nuxt-app/contributors)).
